Summary:	Python 'interface' concept implementation
Summary(pl.UTF-8):	Implementacja interfejsów dla języka Python
Name:		Zope-Interface
Version:	4.0.3
Release:	1
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.interface/zope.interface-%{version}.tar.gz
# Source0-md5:	1ddd308f2c83703accd1696158c300eb
URL:		http://docs.zope.org/zope.interface/
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
# set this requirement explicitly, so people know where %py_sitedir/zope can be found
Requires:	Zope-dirs
Provides:	ZopeInterface
Obsoletes:	ZopeInterface
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 'interface' concept implementation.

%description -l pl.UTF-8
Implementacja interfejsów (abstrakcyjnych reprezentacji klas) dla
języka Python.

%prep
%setup -q -n zope.interface-%{version}

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/*.c
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/common/tests
%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/zope/interface/tests

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt
%dir %{py_sitedir}/zope/interface
%{py_sitedir}/zope/interface/*.py[co]
%attr(755,root,root) %{py_sitedir}/zope/interface/_zope_interface_coptimizations.so
%{py_sitedir}/zope/interface/common
%{py_sitedir}/zope.interface-*.egg-info
%{py_sitedir}/zope.interface-*-nspkg.pth
%changelog
* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 329c3be
up to 4.0.3, update url

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 165f01e
rebuild for pythonegg deps; unify python .spec

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 8390069
- Up to 4.0.1

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> d13d41a
- Up to 3.8.0

* Fri Sep 16 2011 Caleb Maclennan <caleb@alerque.com> c67fe09
- Up to 3.7.0

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 946ded4
- Up to 3.6.3

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 756543c
- Up to 3.6.1

* Wed Nov 03 2010 shadzik <shadzik@pld-linux.org> 499dc01
- rel 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 123ff72
- release 2

* Wed Feb 10 2010 sparky <sparky@pld-linux.org> 7a6c90b
- dropped unused BR: unzip

* Mon Feb 08 2010 wrobell <wrobell@pld-linux.org> 50f4ade
- ver. 3.5.3

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> a7a658c
- BR: unzip

* Tue Apr 14 2009 Elan Ruusamäe <glen@pld-linux.org> 44f2928
- CFLAGS, egg-info created on py2.4 too

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 1732790
- release 2

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> 5b273a5
- use pypi uri
- ver. 3.5.0

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> 836da9e
- rel. 5

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> 4341ba4
- get rid of %py_sitedir/zope, which is provided by Zope-dirs
- rel. 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b9a36ed
- release 3

* Fri Sep 19 2008 Patryk Zawadzki <patrys@room-303.com> b3a2b95
- package site-packages/zope as no other package from ftp uses it
- rel 2

* Tue Mar 25 2008 Szymon Siwek <sls@pld-linux.org> 037cfed
- BR: python-setuptools (should be >= 0.6-0.r60636 ?)

